# Interface methods for submodule: ImageRegistrationMethod
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: ImageRegistrationMethod
class ImageRegistrationMethodProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFixedImage(self, fixedImage) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, movingImage) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetOptimizer(self, _arg) -> None:
		""""""
		...

	def GetModifiableOptimizer(self):
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

	def SetMetric(self, _arg) -> None:
		""""""
		...

	def GetModifiableMetric(self):
		""""""
		...

	def GetMetric(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def SetInitialTransformParameters(self, param) -> None:
		""""""
		...

	def GetInitialTransformParameters(self):
		""""""
		...

	def GetLastTransformParameters(self):
		""""""
		...

	def SetFixedImageRegion(self, region: ImageRegion) -> None:
		""""""
		...

	def GetFixedImageRegion(self) -> ImageRegion:
		""""""
		...

	def GetFixedImageRegionDefined(self) -> bool:
		""""""
		...

	def SetFixedImageRegionDefined(self, _arg: bool) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def MakeOutput(self, output: int):
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

